org.jgrapht.graph.builder

## Class UndirectedGraphBuilderBase<V,E,G extends UndirectedGraph<V,E>,B extends UndirectedGraphBuilderBase<V,E,G,B>>

- java.lang.Object
- - org.jgrapht.graph.builder.AbstractGraphBuilder<V,E,G,B>
  - - org.jgrapht.graph.builder.UndirectedGraphBuilderBase<V,E,G,B>

- Direct Known Subclasses:
    UndirectedGraphBuilder, UndirectedWeightedGraphBuilderBase

      public abstract class UndirectedGraphBuilderBase<V,E,G extends UndirectedGraph<V,E>,B extends UndirectedGraphBuilderBase<V,E,G,B>>
      extends AbstractGraphBuilder<V,E,G,B>

  Base class for `UndirectedGraphBuilder` for extending.

- - ### Field Summary

    - ### Fields inherited from class org.jgrapht.graph.builder.AbstractGraphBuilder

      `graph`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndirectedGraphBuilderBase(G baseGraph)` Creates a builder based on `baseGraph`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnmodifiableUndirectedGraph<V,E>` | `buildUnmodifiable()` Build an unmodifiable version graph.

    - ### Methods inherited from class org.jgrapht.graph.builder.AbstractGraphBuilder

      `addEdge, addEdgeChain, addGraph, addVertex, addVertices, build, removeEdge, removeVertex, removeVertices, self`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UndirectedGraphBuilderBase

          public UndirectedGraphBuilderBase(G baseGraph)

      Creates a builder based on `baseGraph`. `baseGraph` must be mutable.
      Parameters:
        `baseGraph` - the graph object to base building on

  - ### Method Detail

    - #### buildUnmodifiable

          public UnmodifiableUndirectedGraph<V,E> buildUnmodifiable()

      Description copied from class: `AbstractGraphBuilder`
      Build an unmodifiable version graph. Calling any method (including this method) on this builder object after calling this method is undefined behaviour.
      Overrides:
        `buildUnmodifiable` in class `AbstractGraphBuilder<V,E,G extends UndirectedGraph<V,E>,B extends UndirectedGraphBuilderBase<V,E,G,B>>`
      Returns:
        the built unmodifiable graph.
      See Also:
        `AbstractGraphBuilder.build()`

Copyright © 2016. All rights reserved.